Description

Changes as decided upon at the Sevilleta EML meeting, April 24-25, 2002:

1) James agreed to create a FAQ. We may want this to be in a simple XML format
so that we can transform it into HTML and other formats like PDF. Something
like this might work if you can't find something on the web for FAQs already:

<faq version="1.1">

<fag-item id="1">

<question>Why does it rain?</question>
<answer>Because it is wet.</answer>
</fag-item>

</fag>

Although we might also wat the ability to group fag-items into sections. My
element names leave some room for improvement :)

History

#1 - 06/13/2002 06:58 PM - Matt Jones

Moving milestone. James still needs to complete this for the 2.0.0 release.

#2 - 08/21/2002 01:35 PM - James Brunt

I've been working on this and should have a draft ready in a couple of weeks -
I'll call for additional favorite FAQ's soon.

James

#3 - 08/21/2002 01:56 PM - Matt Jones

Excellent. And thanks. Can you attach what you already have to this bug so that
we can provide feedback? Also, we decided today on the EML conference call to
aim for Sep 6 as the deadline for the next EML release contributions, with the
actual release going out on Spetember 13. Any chance you could have it ready by
Sep 67

#4 - 08/26/2002 09:12 AM - James Brunt

OK, but remember you asked for it - I'm still working from my yellow pad notes
and | haven't formatted it in XML yet but here it is. I'll try to have a

formatted version with a little polish by Friday 30 Aug. I'll take any

favorites you have - answers which I'll wordsmith are also most welcom.

#5 - 08/26/2002 10:27 AM - James Brunt

I've added another page of questions from my yellow pad and some more answers.
Still unedited for the most part. Since | don't know if my previous comments

will be deprecated | will repeat them - I'm shooting for an XML formatted

version that is somewhat polished by Friday 30 Aug - send any favorite

questions and any favorite answers. TNX

#6 - 08/26/2002 10:44 AM - Matt Jones

James -- excellent start. | read it over and all of the questions are great.
The answers are good too :) Some of the answers are trivially out-of-date -- we
can make those technical corrections once you submit the initial text XML
document into CVS as a draft. What XML format are you going to use? | think
Docbook has some suggested tags for FAQ entries.

#7 - 08/27/2002 08:13 AM - James Brunt

| would appreciate suggestions on the formatting. | have this homegrown one that
Matt did that | can modify to have section identifiers but if someone has
something more standard I'd appreciate it.

<faq version="1.1">

<fag-item id="1">

<question>Why does it rain?</question>
<answer>Because it is wet.</answer>
</fag-item>

</fag>

#8 - 08/30/2002 10:55 AM - James Brunt

I've added some more text and formatted the document. I've got a lot of editing
and polishing and some more answers to make up but | wanted to get this up
before | head out for the long weekend.

#9 - 09/05/2002 01:58 PM - James Brunt

I've checked the first real draft into cvs for comments, formatting, additions,
etc. I'm hoping someone will take on the formatting and provide a template for
the further development and maintenance. There needs to be provisions for
subsectioning | think because | can see questions developing along several
lines. | won't close out this bug until we have a real working version that the
group feels is acceptable for publication. - James

#10 - 09/05/2002 04:40 PM - Matt Jones

James -- I'll develop an XSLT stylesheet to produce XML from your faq that can
be linked into the EML docs. | agree sections are probably in order. | added
eml-dev to the cc list for this bug so that people would know to review the new
FAQ that you created. | think there are still some minor inaccuracies we'll

want to clean up, but its looking great! Thanks.

#11 - 09/09/2002 10:17 AM - Chad Berkley

| changed the format of the xml in the faq to docbook, then | changed the
build.xml file to use the docbook xsl stylesheets. | also added a couple more
questions to the fag. the fag can no be formatted to html using the command
‘ant faghtml'.

#12 - 09/09/2002 10:26 AM - James Brunt

Chad, this looks great. Being not familiar with Docbook can you tell me how to
insert sectioning into the QandA feature?

#13 - 09/09/2002 10:44 AM - Chad Berkley

you can put any docbook inline elements into those question and answers. See
http://www.docbook.org/tdg/en/html/docbook.html for a complete reference on the
docbook elements. | think you would just use <para> and lists to section the
questions and answers how you want. It depends on where you want to put the
sectioning though.

#14 - 09/13/2002 03:45 PM - Matt Jones

Completed for RC1 release. Reviewed and revised by jones and berkley. Ready to
ship. Thanks James. FIXED.

#15 - 03/27/2013 02:14 PM - Redmine Admin
Original Bugzilla ID was 495

Files

EML FAQ.doc 23 KB 08/26/2002 James Brunt

EML FAQ.doc 31.5 KB 08/26/2002 James Brunt
